# Prism themes

This repository lists a selection of additional themes for the [Prism syntax highlighting library](http://prismjs.com/).

## How to use a theme

To use one of the themes, just include the theme's CSS file in your page. Example:

```html
<!DOCTYPE html>
<html>
    <head>
        ...
        <link href="themes/prism-ghcolors.css" rel="stylesheet" />
    </head>
    <body>
        ...
        <script src="prism.js"></script>
    </body>
</html>
```

## Adding a New Theme

To add your own theme, copy it into the `themes` directory and add your themes to the list of available themes in the readme.
The links for your themes have to be `themes/prism-<your theme>.css` for the theme itself and `screenshots/prism-<your theme>.png` for the screenshot.

The screenshot will be created for you by running the following command:

```bash
npm i && npx gulp screenshot
```

Before making a pull request, you can the following command to verify that all checks pass:

```bash
npm test
```

Thank you so much for contributing!!

## Available themes

* [__CB__](themes/prism-cb.css) (originally by [C. Bavota](https://bitbucket.org/cbavota), adapted by [atelierbram](https://github.com/atelierbram))<br />
[![CB](screenshots/prism-cb.png)](themes/prism-cb.css)

* [__GHColors__](themes/prism-ghcolors.css) (by [aviaryan](https://github.com/aviaryan))<br />
[![GHColors](screenshots/prism-ghcolors.png)](themes/prism-ghcolors.css)

* [__Pojoaque__](themes/prism-pojoaque.css) (originally by [Jason Tate](http://web-cms-designs.com/ftopict-10-pojoaque-style-for-highlight-js-code-highlighter.html), adapted by [atelierbram](https://github.com/atelierbram))<br />
[![Pojoaque](screenshots/prism-pojoaque.png)](themes/prism-pojoaque.css)

* [__Xonokai__](themes/prism-xonokai.css) (originally by [Maxime Thirouin (MoOx)](https://github.com/MoOx), adapted by [atelierbram](https://github.com/atelierbram))<br />
[![Xonokai](screenshots/prism-xonokai.png)](themes/prism-xonokai.css)

* [__Ateliersulphurpool-dark__](themes/prism-base16-ateliersulphurpool.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Ateliersulphurpool-dark](screenshots/prism-ateliersulphurpool-dark.png)](themes/prism-base16-ateliersulphurpool.dark.css)

* [__Atelierestuary-light__](themes/prism-base16-atelierestuary.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierestuary-light](screenshots/prism-atelierestuary-light.png)](themes/prism-base16-atelierestuary.light.css)

* [__Ateliersulphurpool-light__](themes/prism-base16-ateliersulphurpool.light.css) (by [Bram de Haan](https://github.com/atelierbram))<br />
[![Ateliersulpherpool-light](screenshots/prism-base16-ateliersulphurpool.light.png)](themes/prism-base16-ateliersulphurpool.light.css)

* [__Atelierplateau-dark__](themes/prism-base16-atelierplateau.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierplateau-dark](screenshots/prism-atelierplateau-dark.png)](themes/prism-base16-atelierplateau.dark.css)

* [__Ateliercave-dark__](themes/prism-base16-ateliercave.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Ateliercave-dark](screenshots/prism-ateliercave-dark.png)](themes/prism-base16-ateliercave.dark.css)

* [__Atelierestuary-dark__](themes/prism-base16-atelierestuary.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierestuary-dark](screenshots/prism-atelierestuary-dark.png)](themes/prism-base16-atelierestuary.dark.css)

* [__Ateliersavanna-dark__](themes/prism-base16-ateliersavanna.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Ateliersulpherpool-dark](screenshots/prism-ateliersavanna-dark.png)](themes/prism-base16-ateliersavanna.dark.css)

* [__Atelierplateau-light__](themes/prism-base16-atelierplateau.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierplateau-light](screenshots/prism-atelierplateau-light.png)](themes/prism-base16-atelierplateau.light.css)

* [__Ateliercave-light__](themes/prism-base16-ateliercave.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Ateliercave-light](screenshots/prism-ateliercave-light.png)](themes/prism-base16-ateliercave.light.css)

* [__Ateliersavanna-light__](themes/prism-base16-ateliersavanna.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Ateliersavanna-light](screenshots/prism-ateliersavanna-light.png)](themes/prism-base16-ateliersavanna.light.css)

* [__Hopscotch__](themes/prism-hopscotch.css) (by [Jan T. Sott](https://github.com/idleberg))<br />
[![Hopscotch](screenshots/prism-hopscotch.png)](themes/prism-hopscotch.css)

* [__Atom Dark__](themes/prism-atom-dark.css) (by [gibsjose](https://github.com/gibsjose), based on [Atom Dark Syntax theme](https://github.com/atom/atom-dark-syntax))<br />
[![Atom Dark](screenshots/prism-atom-dark.png)](themes/prism-atom-dark.css)

* [__Duotone Dark__](themes/prism-duotone-dark.css) (by [Simurai](https://github.com/simurai), based on [Duotone Dark Syntax theme for Atom](https://github.com/simurai/duotone-dark-syntax))<br />
[![Duotone Dark](screenshots/prism-duotone-dark.png)](themes/prism-duotone-dark.css)

* [__Duotone Sea__](themes/prism-duotone-sea.css) (by [Simurai](https://github.com/simurai), based on [DuoTone Dark Sea Syntax theme for Atom](https://github.com/simurai/duotone-dark-sea-syntax))<br />
[![Duotone Sea](screenshots/prism-duotone-sea.png)](themes/prism-duotone-sea.css)

* [__Duotone Space__](themes/prism-duotone-space.css) (by [Simurai](https://github.com/simurai), based on [DuoTone Dark Space Syntax theme for Atom](https://github.com/simurai/duotone-dark-space-syntax))<br />
[![Duotone Space](screenshots/prism-duotone-space.png)](themes/prism-duotone-space.css)

* [__Duotone Earth__](themes/prism-duotone-earth.css) (by [Simurai](https://github.com/simurai), based on [DuoTone Dark Earth Syntax theme for Atom](https://github.com/simurai/duotone-dark-earth-syntax))<br />
[![Duotone Earth](screenshots/prism-duotone-earth.png)](themes/prism-duotone-earth.css)

* [__Duotone Forest__](themes/prism-duotone-forest.css) (by [Simurai](https://github.com/simurai), based on [DuoTone Dark Forest Syntax theme for Atom](https://github.com/simurai/duotone-dark-forest-syntax))<br />
[![Duotone Forest](screenshots/prism-duotone-forest.png)](themes/prism-duotone-forest.css)

* [__Duotone Light__](themes/prism-duotone-light.css) (by [Simurai](https://github.com/simurai), based on [DuoTone Light Syntax theme](https://github.com/simurai/duotone-light-syntax))<br />
[![Duotone Light](screenshots/prism-duotone-light.png)](themes/prism-duotone-light.css)

* [__VS__](themes/prism-vs.css) (by [andrewlock](https://github.com/andrewlock))<br />
[![VS](screenshots/prism-vs.png)](themes/prism-vs.css)

* [__VS Code Dark+__](themes/prism-vsc-dark-plus.css) (by [tabuckner](https://github.com/tabuckner))<br />
[![VS](screenshots/prism-vsc-dark-plus.png)](themes/prism-vsc-dark-plus.css)

* [__Darcula__](themes/prism-darcula.css) (by [service-paradis](https://github.com/service-paradis), based on Jetbrains Darcula theme)<br />
[![Darcula](screenshots/prism-darcula.png)](themes/prism-darcula.css)

* [__256 GrayViM__](themes/prism-256-grayvim.css) (by [BlackyPanther](https://github.com/BlackyPanther), based on 256 GrayViM for ViM)<br />
[![256 GrayViM](screenshots/prism-256-grayvim.png)](themes/prism-256-grayvim.css)

* [__Desert__](themes/prism-desert.css) (by [BlackyPanther](https://github.com/BlackyPanther), based on Desert for ViM)<br />
[![Desert](screenshots/prism-desert.png)](themes/prism-desert.css)

* [__Eclipse__](themes/prism-eclipse.css) (by [BlackyPanther](https://github.com/BlackyPanther), based on Eclipse for ViM)<br />
[![Eclipse](screenshots/prism-eclipse.png)](themes/prism-eclipse.css)

* [__a11y Dark__](themes/prism-a11y-dark.css) (by [ericwbailey](https://github.com/ericwbailey))<br />
[![a11y Dark](screenshots/prism-a11y-dark.png)](themes/prism-a11y-dark.css)

* [__Dracula__](themes/prism-dracula.css) (by [Byverdu](https://github.com/byverdu))<br />
[![a11y Dark](screenshots/prism-dracula.png)](themes/prism-dracula.css)

* [__Synthwave '84__](themes/prism-synthwave84.css) (originally by [Robb Owen](https://github.com/robb0wen), adapted by [Marc Backes](https://github.com/themarcba))<br />
[![Synthwave '84](screenshots/prism-synthwave84.png)](themes/prism-synthwave84.css)

* [__Shades of Purple__](themes/prism-shades-of-purple.css) (by [Ahmad Awais](https://github.com/ahmadawais))<br />
[![Shades of Purple](screenshots/prism-shades-of-purple.png)](themes/prism-shades-of-purple.css)

* [__Material Dark__](themes/prism-material-dark.css) (by [dutchenkoOleg](https://github.com/dutchenkoOleg))<br />
[![Material Dark](screenshots/prism-material-dark.png)](themes/prism-material-dark.css)

* [__Material Light__](themes/prism-material-light.css) (by [dutchenkoOleg](https://github.com/dutchenkoOleg))<br />
[![Material Light](screenshots/prism-material-light.png)](themes/prism-material-light.css)

* [__Material Oceanic__](themes/prism-material-oceanic.css) (by [dutchenkoOleg](https://github.com/dutchenkoOleg))<br />
[![Material Oceanic](screenshots/prism-material-oceanic.png)](themes/prism-material-oceanic.css)

* [__Nord__](themes/prism-nord.css) (originally by [Nord](https://www.nordtheme.com/), adapted by [Zane Hitchcox](https://github.com/zwhitchcox) and [Gabriel Ramos](https://github.com/gabrieluizramos))<br />
[![Nord](screenshots/prism-nord.png)](themes/prism-nord.css)

* [__Monokai__](themes/prism-monokai.css) (by [BlackyPanther](https://github.com/BlackyPanther), based on Monokai for ViM)<br />
[![Monokai](screenshots/prism-monokai.png)](themes/prism-monokai.css)

* [__Obsidian 2__](themes/prism-obsidian2.css) (by [BlackyPanther](https://github.com/BlackyPanther), based on Obsidian 2 for ViM)<br />
[![Obsidian 2](screenshots/prism-obsidian2.png)](themes/prism-obsidian2.css)

* [__Zenburn__](themes/prism-zenburn.css) (by [BlackyPanther](https://github.com/BlackyPanther), based on the amazing [Zenburn Theme](http://kippura.org/zenburnpage/) for ViM)<br />
[![256 GrayViM](screenshots/prism-zenburn.png)](themes/prism-zenburn.css)

* [__Coy without shadows__](themes/prism-coy-without-shadows.css) (by [RunDevelopment](https://github.com/RunDevelopment), based on Tim Shedor's Coy theme)<br />
[![Coy without shadows](screenshots/prism-coy-without-shadows.png)](themes/prism-coy-without-shadows.css)

* [__Atelierlakeside-light__](themes/prism-base16-atelierlakeside.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierlakeside-light](screenshots/prism-atelierlakeside-light.png)](themes/prism-base16-atelierlakeside.light.css)

* [__Atelierlakeside-dark__](themes/prism-base16-atelierlakeside.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierlakeside-dark](screenshots/prism-atelierlakeside-dark.png)](themes/prism-base16-atelierlakeside.dark.css)

* [__Atelierseaside-light__](themes/prism-base16-atelierseaside.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierseaside-light](screenshots/prism-atelierseaside-light.png)](themes/prism-base16-atelierseaside.light.css)

* [__Atelierseaside-dark__](themes/prism-base16-atelierseaside.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierseaside-dark](screenshots/prism-atelierseaside-dark.png)](themes/prism-base16-atelierseaside.dark.css)

* [__Atelierdune-light__](themes/prism-base16-atelierdune.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierdune-light](screenshots/prism-atelierdune-light.png)](themes/prism-base16-atelierdune.light.css)

* [__Atelierdune-dark__](themes/prism-base16-atelierdune.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierdune-dark](screenshots/prism-atelierdune-dark.png)](themes/prism-base16-atelierdune.dark.css)

* [__Atelierheath-light__](themes/prism-base16-atelierheath.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierheath-light](screenshots/prism-atelierheath-light.png)](themes/prism-base16-atelierheath.light.css)

* [__Atelierheath-dark__](themes/prism-base16-atelierheath.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierheath-dark](screenshots/prism-atelierheath-dark.png)](themes/prism-base16-atelierheath.dark.css)

* [__Atelierforest-light__](themes/prism-base16-atelierforest.light.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierforest-light](screenshots/prism-atelierforest-light.png)](themes/prism-base16-atelierforest.light.css)

* [__Atelierforest-dark__](themes/prism-base16-atelierforest.dark.css) by [Bram de Haan](https://github.com/atelierbram)<br />
[![Atelierforest-dark](screenshots/prism-atelierforest-dark.png)](themes/prism-base16-atelierforest.dark.css)

* [__Summerfruit-dark__](themes/prism-base16-summerfruit.dark.css) (by [Christopher Corley](https://github.com/cscorley))<br />
[![Summerfruit-dark](screenshots/prism-summerfruit-dark.png)](themes/prism-base16-summerfruit.dark.css)

* [__Solarized-dark__](themes/prism-base16-solarized.dark.css) (originally by [Ethan Schoonover](https://github.com/altercation/) adapted by [Chris Kempson](https://github.com/chriskempson))<br />
[![Solarized-dark](screenshots/prism-solarized-dark.png)](themes/prism-base16-solarized.dark.css)

* [__Solarized-light__](themes/prism-base16-solarized.light.css) (originally by [Ethan Schoonover](https://github.com/altercation/) adapted by [Chris Kempson](http://github.com/chriskempson))<br />
[![Solarized-light](screenshots/prism-solarized-light.png)](themes/prism-base16-solarized.light.css)

* [__railscasts-dark__](themes/prism-base16-railscasts.dark.css) (originally by [Ryan Bates](https://github.com/ryanb), adapted by [Chris Kempson](https://github.com/chriskempson))<br />
[![railscasts-dark](screenshots/prism-railscasts-dark.png)](themes/prism-base16-railscasts.dark.css)

* [__Paraiso-light__](themes/prism-base16-paraiso.light.css) (by [Jan T. Sott](http://github.com/idleberg))<br />
[![Paraiso-light](screenshots/prism-paraiso-light.png)](themes/prism-base16-paraiso.light.css)

* [__Paraiso-dark__](themes/prism-base16-paraiso.dark.css) (by [Jan T. Sott](http://github.com/idleberg))<br />
[![Paraiso-dark](screenshots/prism-paraiso-dark.png)](themes/prism-base16-paraiso.dark.css)

* [__Base16-Twilight-dark__](themes/prism-base16-twilight.dark.css) (by [David Hart](https://github.com/hartbit))<br />
[![Base16-Twilight-dark](screenshots/prism-base16-twilight-dark.png)](themes/prism-base16-twilight.dark.css)

* [__Base16-Tomorrow-dark__](themes/prism-base16-tomorrow.dark.css) (by [Chris Kempson](https://github.com/chriskempson))<br />
[![Base16-Tomorrow-dark](screenshots/prism-base16-tomorrow-dark.png)](themes/prism-base16-tomorrow.dark.css)

* [__Summerfruit-light__](themes/prism-base16-summerfruit.light.css) (by [Christopher Corley](https://github.com/cscorley))<br />
[![Summerfruit-light](screenshots/prism-summerfruit-light.png)](themes/prism-base16-summerfruit.light.css)

